Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Deployment Lock

GET
/registry/v1/workspaces/{workspace}/namespaces/{namespace}/repositories/{repository}/deployment-locks/{id}
curl --request GET \
--url https://example.com/registry/v1/workspaces/example/namespaces/example/repositories/example/deployment-locks/example

Returns a deployment lock by unique ID.

workspace
required
string

The unique identifier of the workspace that the repository belongs to

namespace
required
string

The unique identifier of the namespace that the repository belongs to

repository
required
string

The unique identifier of the parent repository

id
required
string

The unique identifier of the deployment lock to retrieve

OK

Media type application/json
object
id
stringOutput only
repository_id
stringOutput only
digest
required
string
deployment_context
required
string
expires_at
string format: date-time
created
string format: date-time Output only
updated
string format: date-time Output only
Example generated
{
"digest": "example",
"deployment_context": "example",
"expires_at": "2026-04-15T12:00:00Z"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}